org.apache.pdfbox.preflight.font.descriptor

## Class TrueTypeDescriptorHelper

- java.lang.Object
- - org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper<TrueTypeContainer>
  - - org.apache.pdfbox.preflight.font.descriptor.TrueTypeDescriptorHelper

    public class TrueTypeDescriptorHelper
    extends FontDescriptorHelper<TrueTypeContainer>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`context, fContainer, font, fontDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`TrueTypeDescriptorHelper(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDTrueTypeFont font, TrueTypeContainer fontContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pdfbox.pdmodel.common.PDStream` `extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)`
`protected void` `processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor, org.apache.pdfbox.pdmodel.common.PDStream fontFile)`

### Methods inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`checkFontFileMetaData, checkMandatoryFields, fontFileNotEmbedded, getMetaDataStreamAsBytes, hasOnlyOneFontFile, isSubSet, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrueTypeDescriptorHelper

    public TrueTypeDescriptorHelper(PreflightContext context,
                                    org.apache.pdfbox.pdmodel.font.PDTrueTypeFont font,
                                    TrueTypeContainer fontContainer)

### Method Detail

#### extractFontFile

    public org.apache.pdfbox.pdmodel.common.PDStream extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)

Specified by:
  `extractFontFile` in class `FontDescriptorHelper<TrueTypeContainer>`

#### processFontFile

    protected void processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor,
                                   org.apache.pdfbox.pdmodel.common.PDStream fontFile)

Specified by:
  `processFontFile` in class `FontDescriptorHelper<TrueTypeContainer>`